import type { ThunkAction } from 'redux-thunk';
import type { RootState } from './index';
export declare enum ActionTypes {
    RefreshStarted = "indexes/is-refreshing/RefreshStarted",
    RefreshFinished = "indexes/is-refreshing/RefreshFinished"
}
type RefreshStartedAction = {
    type: ActionTypes.RefreshStarted;
};
export type RefreshFinishedAction = {
    type: ActionTypes.RefreshFinished;
};
type Actions = RefreshStartedAction | RefreshFinishedAction;
type State = boolean;
export declare const INITIAL_STATE: State;
export default function reducer(state: boolean | undefined, action: Actions): boolean;
export declare const refreshIndexes: () => ThunkAction<void, RootState, void, Actions>;
export {};
//# sourceMappingURL=is-refreshing.d.ts.map